Name:          spymemcached
Version:       2.9.0
Release:       2%{?dist}
Summary:       Java client for memcached
Group:         Development/Libraries
# ASL src/scripts/write-version-info.sh
License:       ASL 2.0 and MIT
Url:           http://code.google.com/p/spymemcached/
Source0:       https://github.com/dustin/java-memcached-client/archive/%{version}.tar.gz
# disable ivy and maven-ant-tasks support
# use system libraries
# disable ivy and maven-ant-tasks support
# use system libraries
# disable test: require jmock 1.x
Patch0:        %{name}-2.9.0-build.patch
# fix pom entries
Patch1:        %{name}-2.9.0-fix-template-pom.patch

BuildRequires: java-devel

BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: log4j
BuildRequires: slf4j
BuildRequires: springframework-beans

BuildRequires: git

%if 0
# test deps
BuildRequires: ant-junit
BuildRequires: jmock >= 1.2.0
BuildRequires: junit
%endif

Requires:      log4j
Requires:      slf4j
Requires:      springframework-beans

Requires:      java
BuildArch:     noarch

%description
A simple, asynchronous, single-threaded memcached client written in java.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-memcached-client-%{version}
find -name '*.jar' -delete
find -name '*.class' -delete

%patch0 -p0
%patch1 -p1

sed -i "s|@VERSION@|%{version}|" build.xml 

%build

%ant jar docs

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/jars/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 ivy/pom.template.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "spy:spymemcached,spy:memcached"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}*.jar
%{_mavenpomdir}/JPP-%{name}*.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.markdown

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Fri Jun 14 2013 gil cattaneo <puntogil@libero.it> 2.9.0-2
- fix mvn aliases

* Thu Jun 13 2013 gil cattaneo <puntogil@libero.it> 2.9.0-1
- update to 2.9.0

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 2.8.12-1
- update to 2.8.12

* Thu Dec 27 2012 gil cattaneo <puntogil@libero.it> 2.8.9-1
- update to 2.8.9

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 2.8.8-1
- initial rpm